Subject: OSPF Test Tool ?

From: Vinay Ravuri <[email-masked]>
Date: Wed, 17 Jul 2002 14:59:25 -0700

I am looking to do conformance and stress test against a
OSPFv2 stack/router.  I was wondering if anyone
is aware of a free ospf tool (preferably with source
code) that can do this?

Any help is grealy appreciated.

Cheers,
Vinay
[email-masked]

---------------------------------
Do You Yahoo!?
Yahoo! Autos - Get free new car price quotes

---

From: Kameswara Rao Avasarala <[email-masked]>
Date: Wed, 17 Jul 2002 15:15:41 -0700

Hi Vinay,
            You can try the OSPFD at http://ospf.org/ospfd2_0/index.html .
Hope this helps,
Kamesh.

Kameswara Rao Avasarala
Software Engineer
Ericsson Inc
Telephone:
Work:805-562-6212
Resi: 805-562-8841

  -----Original Message-----
  From: Mailing List [mailto:[email-masked]]On Behalf Of Vinay
Ravuri
  Sent: Wednesday, July 17, 2002 2:59 PM
  To: [email-masked]
  Subject: OSPF Test Tool ?

  Cheers,
  Vinay
  [email-masked]

----------------------------------------------------------------------------
--
  Do You Yahoo!?
  Yahoo! Autos - Get free new car price quotes

---

From: Vividh Siddha <[email-masked]>
Date: Wed, 17 Jul 2002 15:23:46 -0700

Try www.zebra.org. Its not a test tool but a full OSPF implementation
against which you can test.

Vinay Ravuri wrote:

> <http://us.f129.mail.yahoo.com/ym/Compose?To=[email-masked]>
>
>
> ------------------------------------------------------------------------
> Do You Yahoo!?
> Yahoo! Autos <http://autos.yahoo.com/> - Get free new car price quotes

---

From: Vinay Ravuri <[email-masked]>
Date: Wed, 17 Jul 2002 15:36:34 -0700

Hi Kamesh,
    Thanks for the info.  I am aware of moy's ospfd and zebra implementations, but they are not test tools they just act as another router.  I wanted to simulate multiple interfaces, routers, area's etc from one node and do some conformance stuff to reproduce some problems I am having with my stack.
   If I can't find anything I will probably end up using ospfd or zebra as you suggested.
-Vinay
  Kameswara Rao Avasarala <[email-masked]> wrote: Hi Vinay,            You can try the OSPFD at http://ospf.org/ospfd2_0/index.html .Hope this helps,Kamesh. Kameswara Rao AvasaralaSoftware EngineerEricsson IncTelephone:Work:805-562-6212Resi: 805-562-8841  -----Original Message-----
From: Mailing List [mailto:[email-masked]]On Behalf Of Vinay Ravuri
Sent: Wednesday, July 17, 2002 2:59 PM
To: [email-masked]
Subject: OSPF Test Tool ?

Cheers,
Vinay
[email-masked]

---

From: "Senthil K. Venkatachalam" <[email-masked]>
Date: Wed, 17 Jul 2002 18:33:19 -0400

Try RPS (Routing Protocol Simulator), available with the GateD code.

Regards,
Senthil.

At 02:59 PM 7/17/2002 -0700, you wrote:
><http://us.f129.mail.yahoo.com/ym/Compose?To=[email-masked]>[email-masked]
>
>
>
>Do You Yahoo!?
><http://autos.yahoo.com/>Yahoo! Autos - Get free new car price quotes

---

From: kamatchi soundaram <[email-masked]>
Date: Wed, 17 Jul 2002 16:35:26 -0700

Hi,

 I don't think any free tool is available for OSPF conformance testing as u r expecting to simulate a large network and test.

 But if u really looking for a good tool, and doesn't bother about the cost, then there is a tool u can go for it..
 
 It's "ANVL" OSPF conformance tool. I think it's a product of  Midnight networks.

regards,
GKS.

  ----- Original Message ----- 
  From: Vinay Ravuri 
  To: [email-masked] 
  Sent: Wednesday, July 17, 2002 2:59 PM
  Subject: OSPF Test Tool ?

  Cheers,
  Vinay
  [email-masked]

------------------------------------------------------------------------------
  Do You Yahoo!?
  Yahoo! Autos - Get free new car price quotes

---

From: Igor Lasic <[email-masked]>
Date: Thu, 18 Jul 2002 11:35:42 +0900

How about Zebra ?
zebra.org

  ----- Original Message ----- 
  From: Vinay Ravuri 
  To: [email-masked] 
  Sent: Thursday, July 18, 2002 6:59 AM
  Subject: OSPF Test Tool ?

  Cheers,
  Vinay
  [email-masked]

---

From: Tom Thomas <[email-masked]>
Date: Thu, 18 Jul 2002 19:35:26 -0400

Vinay, if you want to test your implementation you are going to have to be
flexible in tools out there, one possible solution I would recommend is:

http://advanced.comms.agilent.com/RouterTester/
  -----Original Message-----
  From: Mailing List [mailto:[email-masked]]On Behalf Of Vinay
Ravuri
  Sent: Wednesday, July 17, 2002 5:59 PM
  To: [email-masked]
  Subject: OSPF Test Tool ?

  Cheers,
  Vinay
  [email-masked]

---

From: Suvani Kaura <[email-masked]>
Date: Fri, 19 Jul 2002 11:18:34 -0700

Hi All,

I have a question pertaining to section 10.6 of RFC 2328, with
regards to generating SequenceNumberMismatch error, specifically the
following portion:

    When the router accepts a received Database Description Packet
    as the next in sequence the packet contents are processed as
    follows.  For each LSA listed, the LSA's LS type is checked for
    validity.  If the LS type is unknown (e.g., not one of the LS
    types 1-5 defined by this specification), or if this is an AS-
    external-LSA (LS type = 5) and the neighbor is associated with a
    stub area, generate the neighbor event SeqNumberMismatch and
    stop processing the packet.

At other places in the document, it is also stated that type-5 LSAs
should not be flooded (or summarized in DD packets) over virtual
links.  Shouldn't reception of a type-5 LSA header over a virtual
link during DD exchange also cause the generation of
SeqNumberMismatch event?

Additionally, am I correct in interpreting the above taken along with
RFC2740, to mean that for OPSFv3 unknown LSAs are permitted for
non-stub areas (irrespective of U-bit)?  Only for Stub areas unknown
LSAs with U-bit == 1 should not be advertised in Updates & DDs, and
seq. num mismatch event be generated upon their receipt in DDs.  The
rule about AS-wide LSAs still applies to both stub areas & virtual
links. Right?

Thanks for your input,
Suvani

__________________________________________________
Do You Yahoo!?
Yahoo! Autos - Get free new car price quotes
http://autos.yahoo.com

---

From: Acee Lindem <[email-masked]>
Date: Wed, 24 Jul 2002 10:36:59 -0400

> link during DD exchange also cause the generation of

Suvani,

This would seem to logical. However, since it wasn't in the
original specification I would allow it in the spirit of being
"liberal in what you accept".

> rule about AS-wide LSAs still applies to both stub areas & virtual

Haven't read this RFC 2740 in a while.

--
Acee

---

From: Sina Mirtorabi <[email-masked]>
Date: Wed, 24 Jul 2002 08:28:03 -0700

Suvani

> > non-stub areas (irrespective of U-bit)?

right depending on the U bit the flooding scope will change from the actual
flooding coded in the packet

> Only for Stub areas unknown
> > seq. num mismatch event be generated upon their receipt in DDs.

the LSA should have U bit set to 0 and link-local or area wide flooding
scope in order to be flooded into Stub area
although it is not mentioned explicitly but if the above condition is not
satisfied SeqNumberMismatch should be generated

> The

for Stub yes for VL as Acee said it is not explicitly mentioned in the RFC
2328
further type 5 flooding are not flooded over VL in order to avoid
duplicating of effort ( they are already flooded though the Transit area )
and Not because it is not allowed to be flooded as in case of Stub area

Sina

---

From: Suvani Kaura <[email-masked]>
Date: Wed, 24 Jul 2002 11:45:16 -0700

Thanks Sina & Acee.

--- Sina Mirtorabi <[email-masked]> wrote:

> > Only for Stub areas unknown LSAs with U-bit == 1
> > should not be advertised in Updates & DDs, and seq.
> > num mismatch event be generated upon their receipt in DDs.
>
> the LSA should have U bit set to 0 and link-local or area wide
> flooding scope in order to be flooded into Stub area
> although it is not mentioned explicitly but if the above condition
> is not satisfied SeqNumberMismatch should be generated
>
> > The rule about AS-wide LSAs still applies to both stub areas &
> > virtual links. Right?
>
> for Stub yes for VL as Acee said it is not explicitly mentioned in
> the RFC 2328 further type 5 flooding are not flooded over VL in
> order to avoid duplicating of effort ( they are already flooded
> though the Transit area ) and Not because it is not allowed to be
> flooded as in case of Stub area
>
> Sina

__________________________________________________
Do You Yahoo!?
Yahoo! Health - Feel better, live better
http://health.yahoo.com